Subject: Re: [bug#56858] [PATCH] gnu: libcgroup: Update to 2.0.2.

From: "(" <[email-masked]>
Date: Mon, 01 Aug 2022 10:02:30 +0100

On Mon Aug 1, 2022 at 6:42 AM BST, muradm wrote:
> Is there a guideline where home-page should be? I find it more
> DRY when reusing.
Almost every package in Guix puts it directly above synopsis, though
you do have a point about DRY.

> Their repo is not suitable for building from, instead
> they release sources manually.
Looks okay to me: <https://github.com/libcgroup/libcgroup/tree/v2.0.2>
But there is a problem with vendoring googletest, it seems. You'll want
to use the system's googletest, and (recursive? #t) in the git-reference
to clone the tests repo. Also, the tarball seems to contain pregenerated
autotools files, which are discouraged by Guix.

    -- (